# std::atomic::fetch_xor

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11) (member only of `atomic<Integral>` template specialization)
T fetch_xor( T arg, std::memory_order order = std::memory_order_seq_cst ); |  |
T fetch_xor( T arg, std::memory_order order = std::memory_order_seq_cst ) volatile; |  |

Atomically replaces the current value with the result of bitwise XOR of the value and `arg`. The operation is read-modify-write operation. Memory is affected according to the value of `order`.

### Parameters

arg | - | the other argument of bitwise XOR
order | - | memory order constraints to enforce

### Return value

The value immediately preceding the effects of this function in the modification order of `*this`.

### Exceptions

`noexcept` specification:
noexcept

### See also

atomic_fetch_xor atomic_fetch_xor_explicit (C++11)(C++11) | replaces the atomic object with the result of logical XOR with a non-atomic argument and obtains the previous value of the atomic (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/fetch_xor&oldid=91595"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template